Bug 956569 - Missing link creation for apache-commons-pool
Missing link creation for apache-commons-pool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
18
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Ivan Afonichev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-25 04:47 EDT by Sebastien Pasche
Modified: 2013-05-24 16:43 EDT (History)
4 users (show)

See Also:
Fixed In Version: tomcat-7.0.40-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 04:27:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastien Pasche 2013-04-25 04:47:00 EDT
Description of problem:

Missing link creation for apache-commons-pool

   Already existent in https://bugzilla.redhat.com/show_bug.cgi?id=819087


Version-Release number of selected component (if applicable):

    tomcat-7.0.39-1.fc18 and previous version

How reproducible:

    Just install tomcat and an application which use jdbc pool

  
Actual results:

    The application can't start

Expected results:

    Shiny running application

Additional info:

There is information about my install : 

[root@mgbwimi10 lib]# rpm -q tomcat-lib
tomcat-lib-7.0.37-1.fc18.noarch
[root@mgbwimi10 lib]# pwd
/usr/share/tomcat/lib
[root@mgbwimi10 lib]# ll
total 3784
-rw-r--r--. 1 root root   15275 Feb 19 22:40 annotations-api.jar
-rw-r--r--. 1 root root   54800 Feb 19 22:40 catalina-ant.jar
-rw-r--r--. 1 root root  132510 Feb 19 22:40 catalina-ha.jar
-rw-r--r--. 1 root root 1561168 Feb 19 22:40 catalina.jar
-rw-r--r--. 1 root root  254822 Feb 19 22:40 catalina-tribes.jar
lrwxrwxrwx. 1 root root      46 Apr 24 16:46 commons-collections.jar -> /usr/share/java/apache-commons-collections.jar
lrwxrwxrwx. 1 root root      39 Apr 24 16:46 commons-dbcp.jar -> /usr/share/java/apache-commons-dbcp.jar
-rw-r--r--. 1 root root  123093 Feb 19 22:40 jasper-el.jar
-rw-r--r--. 1 root root  597932 Feb 19 22:40 jasper.jar
lrwxrwxrwx. 1 root root      23 Apr 24 16:46 jasper-jdt.jar -> /usr/share/java/ecj.jar
lrwxrwxrwx. 1 root root      25 Apr 24 16:46 log4j.jar -> /usr/share/java/log4j.jar
-rw-r--r--. 1 root root    6873 Feb 19 22:40 tomcat-api.jar
-rw-r--r--. 1 root root  774765 Feb 19 22:40 tomcat-coyote.jar
lrwxrwxrwx. 1 root root      24 Apr 24 16:46 tomcat-el-2.2-api.jar -> ../tomcat-el-2.2-api.jar
-rw-r--r--. 1 root root   77030 Feb 19 22:40 tomcat-i18n-es.jar
-rw-r--r--. 1 root root   48499 Feb 19 22:40 tomcat-i18n-fr.jar
-rw-r--r--. 1 root root   51161 Feb 19 22:40 tomcat-i18n-ja.jar
-rw-r--r--. 1 root root  123623 Feb 19 22:40 tomcat-jdbc.jar
lrwxrwxrwx. 1 root root      25 Apr 24 16:46 tomcat-jsp-2.2-api.jar -> ../tomcat-jsp-2.2-api.jar
lrwxrwxrwx. 1 root root      37 Apr 24 16:46 tomcat-juli.jar -> /usr/share/tomcat/bin/tomcat-juli.jar
lrwxrwxrwx. 1 root root      29 Apr 24 16:46 tomcat-servlet-3.0-api.jar -> ../tomcat-servlet-3.0-api.jar
-rw-r--r--. 1 root root   23086 Feb 19 22:40 tomcat-util.jar
[root@mgbwimi10 lib]#

And if I look into the src.rpm from  : http://koji.fedoraproject.org/koji/buildinfo?buildID=407381

We can see the missing link creation here : 

pushd ${RPM_BUILD_ROOT}%{libdir}
    # symlink JSP and servlet API jars
    %{__ln_s} ../%{name}-jsp-%{jspspec}-api.jar .
    %{__ln_s} ../%{name}-servlet-%{servletspec}-api.jar .
    %{__ln_s} ../%{name}-el-%{elspec}-api.jar .
    %{__ln_s} $(build-classpath apache-commons-collections) commons-collections.jar
    %{__ln_s} $(build-classpath apache-commons-dbcp) commons-dbcp.jar
    %{__ln_s} $(build-classpath log4j) log4j.jar
    %{__ln_s} $(build-classpath ecj) jasper-jdt.jar

    # Temporary copy the juli jar here from /usr/share/java/tomcat (for maven depmap)
    %{__cp} -a ${RPM_BUILD_ROOT}%{bindir}/tomcat-juli.jar ./
popd

There is no link creation for apache-commons-pool


Should look like : 

%{__ln_s} $(build-classpath apache-commons-pool) commons-pool.jar
[reply] [-] Comment 11
Comment 1 Fedora Update System 2013-05-11 16:15:40 EDT
tomcat-7.0.40-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tomcat-7.0.40-1.fc18
Comment 2 Fedora Update System 2013-05-11 16:16:05 EDT
tomcat-7.0.40-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tomcat-7.0.40-1.fc17
Comment 3 Fedora Update System 2013-05-11 16:16:25 EDT
tomcat-7.0.40-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tomcat-7.0.40-2.fc19
Comment 4 Fedora Update System 2013-05-12 13:51:55 EDT
Package tomcat-7.0.40-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tomcat-7.0.40-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7979/tomcat-7.0.40-2.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-05-21 04:27:48 EDT
tomcat-7.0.40-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-05-21 04:45:33 EDT
tomcat-7.0.40-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-05-24 16:43:31 EDT
tomcat-7.0.40-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.